# IRremoteESP8266: src/ir_LG.cpp File Reference

ir_LG.cpp File Reference

Support for LG protocols. LG decode originally added by Darryl Smith (based on the JVC protocol) LG send originally added by https://github.com/chaeplin. More...

## Variables

const uint16_t | kLgBitMark = 550
| uSeconds. More...
const uint16_t | kLgOneSpace = 1600
| uSeconds. More...
const uint16_t | kLgZeroSpace = 550
| uSeconds. More...
const uint16_t | kLgRptSpace = 2250
| uSeconds. More...
const uint16_t | kLgMinGap = 39750
| uSeconds. More...
const uint32_t | kLgMinMessageLength = 108050
| uSeconds. More...
const uint16_t | kLgHdrMark = 8500
| uSeconds. More...
const uint16_t | kLgHdrSpace = 4250
| uSeconds. More...
const uint16_t | kLg32HdrMark = 4500
| uSeconds. More...
const uint16_t | kLg32HdrSpace = 4450
| uSeconds. More...
const uint16_t | kLg32RptHdrMark = 8950
| uSeconds. More...
const uint16_t | kLg2HdrMark = 3200
| uSeconds. More...
const uint16_t | kLg2HdrSpace = 9900
| uSeconds. More...
const uint16_t | kLg2BitMark = 480
| uSeconds. More...

## Detailed Description

Support for LG protocols. LG decode originally added by Darryl Smith (based on the JVC protocol) LG send originally added by https://github.com/chaeplin.

See also
  https://github.com/arendst/Tasmota/blob/54c2eb283a02e4287640a4595e506bc6eadbd7f2/sonoff/xdrv_05_irremote.ino#L327-438

## Variable Documentation

## kLg2BitMark

const uint16_t kLg2BitMark = 480

uSeconds.

## kLg2HdrMark

const uint16_t kLg2HdrMark = 3200

uSeconds.

## kLg2HdrSpace

const uint16_t kLg2HdrSpace = 9900

uSeconds.

## kLg32HdrMark

const uint16_t kLg32HdrMark = 4500

uSeconds.

## kLg32HdrSpace

const uint16_t kLg32HdrSpace = 4450

uSeconds.

## kLg32RptHdrMark

const uint16_t kLg32RptHdrMark = 8950

uSeconds.

## kLgBitMark

const uint16_t kLgBitMark = 550

uSeconds.

## kLgHdrMark

const uint16_t kLgHdrMark = 8500

uSeconds.

## kLgHdrSpace

const uint16_t kLgHdrSpace = 4250

uSeconds.

## kLgMinGap

const uint16_t kLgMinGap = 39750

uSeconds.

## kLgMinMessageLength

const uint32_t kLgMinMessageLength = 108050

uSeconds.

## kLgOneSpace

const uint16_t kLgOneSpace = 1600

uSeconds.

## kLgRptSpace

const uint16_t kLgRptSpace = 2250

uSeconds.

## kLgZeroSpace

const uint16_t kLgZeroSpace = 550

uSeconds.